Package com.emc.documentum.rest.context.jc

# Class BasicAuthBeans

java.lang.Object
com.emc.documentum.rest.context.jc.BasicAuthBeans

@Configuration public class BasicAuthBeans extends Object
Beans for HTTP basic authentication.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BasicAuthBeans()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `com.emc.documentum.rest.security.filter.BasicAuthFilter`
  `basicAuthFilter(org.springframework.security.authentication.AuthenticationManager authenticationManager)`
  Provides the instance (not bean) of the basic authentication filter.
  `org.springframework.security.authentication.AuthenticationProvider`
  `basicAuthProvider()`
  Provides the bean of the basic authentication provider.
  `org.springframework.security.authentication.AuthenticationProvider`
  `basicAuthProviderWithClientToken()`
  Provides the bean of the basic authentication provider for client token support.
  `com.emc.documentum.rest.security.entry.BasicAuthEntryPoint`
  `basicEntryPoint()`
  Provides the bean of the basic authentication entry point.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### BasicAuthBeans

    public BasicAuthBeans()

- ## Method Details

  - ### basicAuthFilter

    public com.emc.documentum.rest.security.filter.BasicAuthFilter basicAuthFilter(org.springframework.security.authentication.AuthenticationManager authenticationManager)
    Provides the instance (not bean) of the basic authentication filter.
    Parameters:
      `authenticationManager` - the authentication manager from a HTTP security configuration
    Returns:
      the basic authentication filter

  - ### basicAuthProvider

    @Bean public org.springframework.security.authentication.AuthenticationProvider basicAuthProvider()
    Provides the bean of the basic authentication provider.
    Returns:
      the basic authentication provider

  - ### basicAuthProviderWithClientToken

    @Bean public org.springframework.security.authentication.AuthenticationProvider basicAuthProviderWithClientToken()
    Provides the bean of the basic authentication provider for client token support.
    Returns:
      the basic authentication provider

  - ### basicEntryPoint

    @Bean public com.emc.documentum.rest.security.entry.BasicAuthEntryPoint basicEntryPoint()
    Provides the bean of the basic authentication entry point.
    Returns:
      the basic authentication entry point